Supplement for supported software for Rational Functional Tester version 8.2.2

Product documentation


Abstract

This document lists the various software that IBM Rational Functional Tester supports for functional testing.

Content



Note:Ensure that you verify compatibility between the operating systems, browsers and JREs before you install Rational Functional Tester.


Table 1: Supported domains
Domain Support
HTML Support
Mozilla Firefox 3.0
3.5 (3.5.0 to 3.5.18)
3.6 (3.6.0 to 3.6.16)
4.0
5.0
6.0
7.0
8.0
10.0 (10.0, 10.0.1 and 10.0.2)
3.0
3.5 (3.5.0 to 3.5.18)
3.6 (3.6.0 to 3.6.16)
4.0
5.0
6.0
7.0
8.0
10.0 (10.0, 10.0.1, 10.0.2, 10.0.3, 10.0.4, 10.0.5)
Note:
  • To test applications loaded in Firefox 3.6 or later, the next generation JRE plug-ins must be enabled. Supported JRE versions: Sun JRE 1.6 Update 10 to Update 17.
    However, this limitation is applicable only if the test environment is enabled manually. If the environment is enabled automatically, you can test applications that are loaded in Firefox 3.6 or later without having to enable the JRE plug-in. For information about automatically enabled environments, see Automatically enabled environment for functional testing.
  • You might encounter problems while testing applications that are loaded in Firefox 3.6 that is associated with IBM JRE. Use the recommended Sun JRE with Firefox.
  • Testing applications that are loaded in the Mozilla Firefox 3.0 or later browsers is supported on both Windows and Linux.
Note:
  • To test applications loaded in Firefox 3.6 or later, the next generation JRE plug-ins must be enabled. Supported JRE versions: Sun JRE 1.6 Update 10 to Update 17.
However, this limitation is applicable only if the test environment is enabled manually. If the environment is enabled automatically, you can test applications that are loaded in Firefox 3.6 or later without having to enable the JRE plug-in. For information about automatically enabled environments, see Automatically enabled environment for functional testing.
  • You might encounter problems while testing applications that are loaded in Firefox 3.6 that is associated with IBM JRE. Use the recommended Sun JRE with Firefox.
  • Testing applications that are loaded in the Mozilla Firefox 3.0 or later browsers is supported on both Windows and Linux.
Internet Explorer 6
7
8
9
64-bit versions are also supported for Internet Explorer 6, 7, 8 and 9.
Note:
  • In 64-bit environments on Windows 7 and Windows 2008, with Sun JRE 1.7 or IBM JRE 1.7, the Next-Gen plug-in must be disabled.
    If the Next-Gen plugin options cannot be disabled using a mouse, use the Tab or Space bar keys. Alternatively, set the UseNewJavaPlugin value to 00000000 in the registry entry corresponding to SUN JRE 1.7 under HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Plug-in.
    However, this limitation is applicable only if the test environment is enabled manually. If the environment is enabled automatically, you can test applications that are loaded in 64-bit environments on Windows 7 and Windows 2008, with Sun JRE 1.7 or IBM JRE 1.7, without having to disable the Next-Gen plug-in. For information about automatically enabled environments, see Automatically enabled environment for functional testing.
6
7
8
9
64-bit versions are also supported for Internet Explorer 6, 7, 8 and 9.
Mozilla Support withdrawn Support withdrawn
Netscape Support withdrawn Support withdrawn
Java
IBM JRE
1.4J1
1.5J2
1.6J3
1.7J4

SUN JRE
1.3J5
1.4J6
1.5J7
1.6J8
1.7J9
IBM JRE
1.4J1
1.5J2
1.6J3
1.7J4

SUN JRE
1.3J5
1.4J6
1.5J7
1.6J8
1.7J9
J1: IBM JRE 1.4.2 Service Refresh 13 Fix Pack 8
J2: IBM JRE 5.0 up to Service Refresh 13
J3: IBM JRE 6.0 Service Refresh 6 to 10
J4: IBM JRE 7.0 (32-bit mode or 64-bit mode)
J5: SUN JRE 1.3.1 Update 24 (Only on WINDOWS for stand-alone Java applications.)
J6: SUN JRE 1.4.2 Update 19
J7:
SUN JRE 5.0 Update 6 to Update 22 (32-bit mode) and Update 33 (32-bit)
SUN JRE 5.0 Update 22 (64-bit mode)
J8:
SUN JRE 6.0 (32-bit mode) Update 10 to Update 17. Update 18 and later, with Next Generation plug-in disabled.
SUN JRE 6.0 Update 20, Update 22 (64-bit mode), Update 23, Update 24 (32-bit mode) and Update 30 (32-bit)
J9:
SUN JRE 7.0 Update 1 and 2 (32-bit mode or 64-bit mode)
J1: IBM JRE 1.4.2 Service Refresh 13 Fix Pack 8
J2: IBM JRE 5.0 up to Service Refresh 13
J3: IBM JRE 6.0 Service Refresh 6 to 10
J4: IBM JRE 7.0 (32-bit mode or 64-bit mode)
J5: SUN JRE 1.3.1 Update 24 (Only on WINDOWS for stand-alone Java applications.)
J6: SUN JRE 1.4.2 Update 19
J7:
SUN JRE 5.0 Update 6 to Update 22 (32-bit mode) and Update 33 (32-bit)
SUN JRE 5.0 Update 22 (64-bit mode)
J8:
SUN JRE 6.0 (32-bit mode) Update 10 to Update 17. Update 18 and later, with Next Generation plug-in disabled.
SUN JRE 6.0 Update 20, Update 22 (64-bit mode), Update 23, Update 24 (32-bit mode) and Update 30 (32-bit)
J9:
SUN JRE 7.0 Update 1 and 2 (32-bit mode or 64-bit mode)
Abstract Window Toolkit (AWT) controls Yes Yes
Standard Widget Toolkit (SWT) controls Yes Yes
Swing or Java Foundation Class (JFC) controls Yes Yes
Eclipse 3.0.x
3.1.x
3.2.x
3.3.x
3.4.2
3.5.x
3.6.2
3.0.x
3.1.x
3.2.x
3.3.x
3.4.2
3.5.x
3.6.2
Dojo 1.0
1.1
1.2
1.3.2
1.4.2
1.5
1.6.1
1.0
1.1
1.2
1.3.2
1.4.2
1.5
1.6.1
WinForm and Windows Presentation Framework based .NET applications 1.0
1.1
2.0
3.0
3.5
4.0
1.0
1.1
2.0
3.0
3.5
4.0
Windows Win32 Win32
ARM Yes Yes
Ajax Yes Yes
SAP WebDynPro SAP Netweaver Enterprise Portal Client 7.0 (2004s).

Note: Testing HTML applications that contain SAP WebDynPro controls is not supported on Internet Explorer 8.0 and 9.0.
SAP Netweaver Enterprise Portal Client 7.0 (2004s).

Note: Testing HTML applications that contain SAP WebDynPro controls is not supported on Internet Explorer 8.0 and 9.0.
SAP - SAPGUI 6.20 with patch level 52 or later
6.40
7.1
7.2
6.20 with patch level 52 or later
6.40
7.1
7.2
Siebel 7.7
7.8
8
8.1
7.7
7.8
8
8.1
Silverlight 4.0 4.0
GEF Yes Yes
Flex 2.0
3.0
3.2
3.3
3.4
3.5
4.0 (including Spark controls)
4.1 (including Spark controls)
2.0
3.0
3.2
3.3
3.4
3.5
4.0 (including Spark controls)
4.1 (including Spark controls)
PowerBuilder 10.5
11
11.2
11.5
12.0
10.5
11
11.2
11.5
12.0
Visual Basic 5.0
6.0
5.0
6.0
Adobe PDF 7.0
8.0
7.0
8.0
Functional Tester Extensions for Terminal-based applications Mainframe or zSeries
TN3270
TN3270E

AS/400 or iSeries
TN5250

Virtual Terminals or pSeries
VT default,
VT100
VT101
VT102
VT220-7
VT220-8
VT320
VT420-7
VT420-8
VT52
VT UTF-8
Mainframe or zSeries
TN3270
TN3270E

AS/400 or iSeries
TN5250

Virtual Terminals or pSeries
VT default,
VT100
VT101
VT102
VT220-7
VT220-8
VT320
VT420-7
VT420-8
VT52
VT UTF-8

Note: If you find any issues with any of the supported versions of the domains that are listed, use the recommended versions. Table 1 lists the recommended patch versions that are validated and have provided optimal results. Refer to the tech. notes to view any known problems with the listed domains.


Table 2: Integration of Rational Functional Tester with other Rational products
Integration of Rational Functional Tester with other Rational products
Rational Functional Tester version 8.2.2 8.2.2.1
Rational Team Concert 3.0
3.0.1
3.0.1.3
4.0
3.0
3.0.1
3.0.1.3
4.0
Rational ClearCase 7.0.1
7.1
7.1.0.x
7.1.1.x
7.1.2
7.1.2.x
8.0
8.0.0.2
7.0.1
7.1
7.1.0.x
7.1.1.x
7.1.2
7.1.2.x
8.0
8.0.0.2
Rational Quality Manager 3.0.1.1
3.0.1.3
4.0
3.0.1.1
3.0.1.3
4.0
Rational TestManager 7.0.1
7.0.2
7.0.1
7.0.2
ClearQuest TestManager Support withdrawn Support withdrawn

Note: Use the corresponding supported versions of Rational ClearCase Remote Client plug-ins for the Eclipse IDE of Rational Functional Tester. Refer to the Rational ClearCase documentation for more information.


Table 3: Compatible shell sharing products
Compatible shell sharing products
Rational Functional Tester 8.2.2 Rational Functional Tester 8.2.2.1
Rational Performance Tester 8.2.0.6
8.2.1
8.2.1.4
8.2.0.6
8.2.1
8.2.1.4
Rational Software Architect 8.0.3
8.0.4.1
8.0.3
8.0.4.1
Rational Application Developer 8.0.3
8.0.4.1
8.0.3
8.0.4.1
Rational Team Concert 3.0.1.3
4.0
3.0.1.3
4.0

Table 3 lists only the versions that have been tested for compatibility.

Note: Rational Performance Tester, Rational Software Architect and Rational Application Developer can shell share with Rational Functional Tester provided that they share the same Eclipse version.

For details see: 1279139: Information about which IBM Software products can be installed together so that they share a common environment for information on Rational product compatibility.

Note: For information pertaining to the versions and supported features, refer the respective topic notes available in the Rational Functional Tester Information Center.



Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Functional Tester
Documentation

Software version:

8.2.2, 8.2.2.1

Operating system(s):

Linux, Windows

Reference #:

7027053

Modified date:

2012-08-09

Translate my page

Machine Translation

Content navigation